com.aispeech.dui

## Interface BusClient.Handler

- All Known Implementing Classes:
    Agent, BaseNode
  Enclosing class:
    BusClient

      public static interface BusClient.Handler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusClient.RPCResult` | `onCall(java.lang.String url, byte[]... args)`
    `void` | `onMessage(java.lang.String topic, byte[]... parts)`

- - ### Method Detail

    - #### onMessage

          void onMessage(java.lang.String topic,
                         byte[]... parts)
                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onCall

          BusClient.RPCResult onCall(java.lang.String url,
                                     byte[]... args)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`